Page MenuHomePhabricator

Multiple images not handled properly
Closed, ResolvedPublic

Description

When there are multiple (best) values with the ArticlePlaceholderImageProperty property, ArticlePlaceholder mangles them together instead of properly showing multiple images or selecting one.

The code in question is in topImageRenderer in mw.ext.articlePlaceholder.entityRenderer.lua.

Details

Related Gerrit Patches:
mediawiki/extensions/ArticlePlaceholder : masterOnly output the first value for the image property

Event Timeline

hoo created this task.Apr 6 2016, 10:50 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptApr 6 2016, 10:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Maybe it should use pageimages to determine the image to show? We have already sorted out all the properties and order of them for pageimages.

Change 282955 had a related patch set uploaded (by Lucie Kaffee):
Only output the first value for the image property

https://gerrit.wikimedia.org/r/282955

Lucie added a subscriber: Lucie.Apr 12 2016, 3:52 PM

Would also be neat to have the images not displayed as main image as statements!

Lucie moved this task from Incoming to Review on the ArticlePlaceholder board.Apr 12 2016, 3:53 PM
Lydia_Pintscher triaged this task as Normal priority.Apr 21 2016, 1:32 PM
Lucie closed this task as Resolved.May 3 2016, 1:18 PM
Lucie moved this task from Review to Done on the ArticlePlaceholder board.

Change 282955 merged by jenkins-bot:
Only output the first value for the image property

https://gerrit.wikimedia.org/r/282955